# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: tbb4py
  version: 2021.8.0
source:
  sha256: eee380323bb7ce864355ed9431f85c43955faaae9e9bce35c62b372d7ffd9f8b
  url: https://github.com/oneapi-src/oneTBB/archive/v2021.8.0.tar.gz
build:
  missing_dso_whitelist: null
  number: 0
  script:
    - cmake $CMAKE_ARGS -DPython3_EXECUTABLE=${PYTHON} -DPYTHON_EXECUTABLE=${PYTHON}
      -DTBB4PY_BUILD=ON -DTBB_TEST=OFF -S . -B build_py${PY_VER}h${PKG_HASH}
    - cmake --build build_py${PY_VER}h${PKG_HASH} --target python_build --parallel
    - cmake -DCOMPONENT=tbb4py -P build_py${PY_VER}h${PKG_HASH}/cmake_install.cmake
  string: py311hdb19cb5_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.0 h5eee18b_0
    - ca-certificates 2023.01.10 h06a4308_0
    - cmake 3.22.1 h1fce559_0
    - expat 2.4.9 h6a678d5_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.4 h568e23c_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 7.88.1 h91b91d3_0
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.44.2 h5eee18b_0
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - pcre 8.45 h295c915_0
    - rhash 1.4.1 h3c74f83_1
    - swig 4.0.2 h295c915_4
    - sysroot_linux-64 2.17 h57e8cba_10
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.4 hc292b87_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - python 3.11.2 h7a1cb2a_0
    - readline 8.2 h5eee18b_0
    - sqlite 3.41.1 h5eee18b_0
    - tbb-devel 2021.8.0 hdb19cb5_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022g h04d1e81_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - python >=3.11,<3.12.0a0
    - tbb >=2021.8.0
test:
  commands:
    - python -m TBB -h
    - python -m tbb -h
    - python -m tbb test
  imports:
    - TBB
    - tbb
  requires:
    - python >=3.11,<3.12.0a0
about:
  dev_url: https://github.com/oneapi-src/oneTBB/tree/master/python
  license: Apache-2.0
  summary: TBB module for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 079f3d3c-46c6-4810-9273-a5a1ca8da2ab
  recipe-maintainers:
    - AlexVeprev
    - anton-malakhov
    - jschueller
  remote_url: git@github.com:AnacondaRecipes/tbb-feedstock.git
  sha: cb408eec4d907f95a745160f914d99435585809d
